Skip to main content
GET
/
leads
/
intake
Creates a lead externally using flat query string intake parameters.
curl --request GET \
  --url https://api.leadping.ai/leads/intake
{
  "metadata": {
    "trustedFormUrl": "<string>",
    "utmSource": "<string>",
    "utmMedium": "<string>",
    "utmCampaign": "<string>",
    "utmTerm": "<string>",
    "utmContent": "<string>",
    "referrer": "<string>",
    "landingPage": "<string>",
    "subId": "<string>",
    "pubId": "<string>",
    "ipAddress": "<string>",
    "userAgent": "<string>",
    "externalId": "<string>",
    "sellerLeadId": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "price": "<string>",
    "directPostPrice": "<string>",
    "product": "<string>",
    "vertical": "<string>",
    "complianceStatus": "<string>",
    "complianceBlockedReason": "<string>",
    "sourceMetadata": {},
    "assignedPhoneNumberId": "<string>",
    "smsConsentStatus": "<string>",
    "smsOptedOut": true,
    "smsOptOutAt": "2023-11-07T05:31:56Z",
    "smsOptInAt": "2023-11-07T05:31:56Z",
    "smsHelpRequestedAt": "2023-11-07T05:31:56Z",
    "smsConsentPhoneNumber": "<string>",
    "userId": "<string>",
    "businessId": "<string>"
  },
  "contact": {
    "firstName": "<string>",
    "lastName": "<string>",
    "streetAddress": {},
    "phone": {},
    "email": "<string>"
  },
  "customer": {
    "gender": {},
    "height": "<string>",
    "weight": "<string>",
    "birthDate": "2023-12-25",
    "maritalStatus": {},
    "income": "<string>",
    "isHomeowner": true,
    "monthsAtResidence": "<string>",
    "creditScore": "<string>",
    "hasBankruptcy": true,
    "employmentType": {},
    "numberOfDependents": "<string>",
    "hasMedicalCondition": true
  },
  "id": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "modifiedAt": "2023-11-07T05:31:56Z"
}

Query Parameters

FirstName
string

The first name value for this lead intake.

LastName
string

The date and time for the last name value on this lead intake.

Email
string

The email address associated with this lead intake.

Phone
string

The phone number associated with this lead intake.

PhoneType
string

The phone type classification for this lead intake.

DateOfBirth
string<date>

The date and time for the date of birth value on this lead intake.

BirthDate
string<date>

The date and time for the birth date value on this lead intake.

Address1
string

The address1 value for this lead intake.

Address2
string

The address2 value for this lead intake.

City
string

The city value for this lead intake.

State
string

The current state for this lead intake.

Zip
string

The zip value for this lead intake.

PostalCode
string

The postal code value for this lead intake.

Gender
string

The gender value for this lead intake.

SubId
string

The sub ID associated with this lead intake.

SellerLeadId
string

The seller lead ID associated with this lead intake.

SellerLeadIdentifier
string

The seller lead identifier value for this lead intake.

DirectPostPrice
string<double>

The direct post price value for this lead intake.

Pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
Price
string<double>

The monetary price for this lead intake.

Pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
UtmSource
string

The utm source value for this lead intake.

UtmMedium
string

The utm medium value for this lead intake.

UtmCampaign
string

The utm campaign value for this lead intake.

UtmTerm
string

The utm term value for this lead intake.

UtmContent
string

The utm content value for this lead intake.

Product
string

The product value for this lead intake.

Vertical
string

The vertical value for this lead intake.

Referrer
string

The referrer value for this lead intake.

LandingPage
string

The landing page value for this lead intake.

TrustedFormUrl
string

The URL associated with this lead intake.

ExternalId
string

The external ID associated with this lead intake.

SourceMetadata
object

The source metadata key-value data carried with this lead intake; values must be safe to expose in API responses.

sourceId
string

The Leadping source id supplied as a query string parameter.

apiKey
string

The source API key supplied as a query string parameter.

Response

The lead response was created successfully.

API response containing lead data returned to callers.

metadata
object

Metadata related to the origin, context, and attribution of a submitted lead.

contact
object

API DTO containing lead contact data used by Leadping API contracts.

customer
object

API DTO containing lead profile data used by Leadping API contracts.

id
string
createdAt
string<date-time>
modifiedAt
string<date-time> | null